How can we improve Microsoft Azure Machine Learning?

Support more recent versions of R

AzureML currently support only old versions of R:
* CRAN R 3.1.0, released in 2014
* Microsoft R Open 3.2.2, released in 2016

Some R packages are not available in these older versions, or in some cases the package is available but it is an older version of the package with incompatible differences with the newer version.

Several newer versions of both CRAN R and Microsoft R are available. AzureML should support them. Also, going forward, there shouldn't be such a considerable delay between R major version releases and their availability in AzureML

174 votes
Vote
Sign in
(thinking…)
Password icon
Signed in as (Sign out)
You have left! (?) (thinking…)
Christos Karras shared this idea  ·   ·  Flag idea as inappropriate…  ·  Admin →

8 comments

Sign in
(thinking…)
Password icon
Signed in as (Sign out)
Submitting...
  • Anders S commented  ·   ·  Flag as inappropriate

    This is mission critical! R has changed greatly since 2014 (when version 3.1.1 was released)

  • Nick commented  ·   ·  Flag as inappropriate

    Completely agree. Current R version does not support tidyverse packages such as dplyr or purrr.

  • dimalvov commented  ·   ·  Flag as inappropriate

    Very much agree. whereas base R is powerful, many important packages got updated. At least CRAN 3.2.2 is very welcome, since its impossible to choose R version when uploading an existing model the the workspace.

  • Christos Karras commented  ·   ·  Flag as inappropriate

    Also note that custom modules only support CRAN R 3.1.0 (2014), they should also support more recent versions of R and support Microsoft R.

Feedback and Knowledge Base